<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>ICreateBusinessBody</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/routes/business/index.ts</code>
        </p>


            <p class="comment">
                <h3>Extends</h3>
            </p>
            <p class="comment">
                        <code><a href="../interfaces/IAuthPayload.html" target="_self" >IAuthPayload</a></code>
            </p>

        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                        <a href="#payload">payload</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>
                                <tr>
                                    <td class="col-md-4">
                                        <a name="payload"></a>
                                        <span class="name"><b>payload</b><a href="#payload"><span class="icon ion-ios-link"></span></a></span>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="col-md-4">
                                        <code>payload:         <code><a href="../interfaces/ICreateBusinessPayload.html" target="_self" >ICreateBusinessPayload</a></code>
</code>
                                    </td>
                                </tr>


                                    <tr>
                                        <td class="col-md-4">
                                            <i>Type : </i>        <code><a href="../interfaces/ICreateBusinessPayload.html" target="_self" >ICreateBusinessPayload</a></code>

                                        </td>
                                    </tr>





                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import Joi from &quot;joi&quot;
import { LanguageTypes, CountryTypes } from &quot;src/models/common/common&quot;
import { SocialMediaTypes } from &quot;../social/models/social&quot;
import { PinTypes } from &quot;../world/models/pin&quot;

export enum Routes {
    GET_BUSINESS &#x3D; &#x27;/business/:business_id&#x27;,
    GET_BUSINESSES_FOR_USER &#x3D; &#x27;/:user_id&#x27;,
    GET_BUSINESS_REQUESTS &#x3D; &#x27;/business-requests&#x27;,
    APPLY_AFFILIATE &#x3D; &#x27;/apply-affiliate&#x27;,
    CREATE_BUSINESS &#x3D; &#x27;/create-business&#x27;,
    CREATE_POST &#x3D; &#x27;/create-post&#x27;,
    ACTIVATE_BUSINESS &#x3D; &#x27;/activate&#x27;,
}

export interface IAuthPayload {
    user_id: string
    access_token: string
    social_provider: string
}

export interface IBusinessRequestQuery {
    limit: number | undefined
    offset: number | undefined
}

export const businessRequestQuerySchema &#x3D; Joi.object&lt;IBusinessRequestQuery&gt;({
    limit: Joi.number()
        .min(0)
        .max(100)
        .integer()
        .optional(),
    offset: Joi.number()
        .min(0)
        .max(100)
        .integer()
        .optional(),
})

export interface IMunicipalityPayload {
    municipality_fire_id: string
    municipality_mongo_id: string
    municipality_name: string
    municipality_code: string
}

export interface ICreateBusinessPayload {
    zone_id: string
    businessName: string
    sub_title: string
    description: string[]
    language: LanguageTypes
    latitude: number
    longitude: number
    emailAddress: string
    phoneNumber: string
    pin_type: PinTypes
    // sub_pin_types: (PinTypes &amp; SubPinTypes)[]
    sub_pin_types: PinTypes[]
    socialMediaHandle: string
    socialMediaProvider: SocialMediaTypes
    municipality: IMunicipalityPayload
    country: CountryTypes
}

export const createBusinessSchema &#x3D; Joi.object&lt;ICreateBusinessPayload&gt;({
    zone_id: Joi.string()
        .allow(&#x27;&#x27;)
        .optional(),
    businessName: Joi.string()
        .min(3)
        .max(30)
        .required(),
    sub_title: Joi.string()
        .allow(&#x27;&#x27;)
        .optional(),
    description: Joi.string()
        .min(3)
        .max(100)
        .required(),
    language: Joi.string()
        .valid(&#x27;se&#x27;, &#x27;en&#x27;, &#x27;dk&#x27;, &#x27;nl&#x27;)
        .max(50)
        .required(),
    latitude: Joi.number()
        .precision(20)
        .max(200)
        .min(-200)
        .required(),
    longitude: Joi.number()
        .precision(20)
        .max(200)
        .min(-200)
        .required(),
    emailAddress: Joi.string()
        .email()
        .required(),
    phoneNumber: Joi.string()
        .allow(&#x27;&#x27;, &#x27;-&#x27;, &#x27;+&#x27;)
        .alphanum()
        .optional(),
    // pin_type: Joi.string()
    //     .max(30)
    //     // .valid(...Object.values(PinTypes))
    //     .valid(...Object.keys(PinTypes))
    //     .required(),
    pin_type: Joi.string()
        .min(1)
        .max(30)
        .optional(),
    sub_pin_types: Joi.array()
        .min(0)
        .max(20)
        .optional(),
    socialMediaHandle: Joi.string()
        .allow(&#x27;&#x27;)
        .alphanum()
        .max(20)
        .optional(),
    socialMediaProvider: Joi.string()
        .max(20),
    municipality: Joi.object&lt;IMunicipalityPayload&gt;({
        municipality_fire_id: Joi.string()
            .min(10)
            .max(100)
            .required(),
        municipality_mongo_id: Joi.string()
            .min(24)
            .max(24)
            .required(),
        municipality_name: Joi.string()
            .min(2)
            .max(30)
            .required(),
        municipality_code: Joi.string()
            .length(4)
            .required()
    }),
    country: Joi.string()
        .valid(&#x27;sweden&#x27;, &#x27;norway&#x27;, &#x27;iceland&#x27;,
            &#x27;finland&#x27;, &#x27;germany&#x27;, &#x27;netherlands&#x27;,
            &#x27;england&#x27;, &#x27;denmark&#x27;)
        .min(3)
        .max(40)
        .required(),
})

export interface ICreateBusinessBody extends IAuthPayload {
    payload: ICreateBusinessPayload
}

export const activateBusinessSchema &#x3D; Joi.object({
    user_id: Joi.string()
        .min(5)
        .max(50)
        .alphanum()
        .required(),
    access_token: Joi.string()
        .min(5)
        .max(500)
        // .alphanum()
        .required(),
    social_provider: Joi.string()
        .min(5)
        .max(50)
        .alphanum()
        .required(),
    business_id: Joi.string()
        .min(5)
        .max(50)
        .alphanum()
        .required()
})</code></pre>
    </div>
</div>


                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'ICreateBusinessBody.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
